Bug 210899 - Update for devel/qbs to 1.5.2
Summary: Update for devel/qbs to 1.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-07 19:10 UTC by Marie Loise Nolden
Modified: 2016-07-10 17:07 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
qbs-1.5.2 svn diff against HEAD (2.70 KB, patch)
2016-07-07 19:10 UTC, Marie Loise Nolden
no flags Details | Diff
qbs-1.5.2 svn diff against HEAD (3.93 KB, patch)
2016-07-08 10:50 UTC, Marie Loise Nolden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marie Loise Nolden 2016-07-07 19:10:57 UTC
Created attachment 172208 [details]
qbs-1.5.2 svn diff against HEAD

Together with QtCreator 4.0.3, QBS was updated to 1.5.2 today, see
http://blog.qt.io/blog/2016/07/07/qt-creator-4-0-3-released/

Attached update for devel/qbs as svn diff against HEAD.
Comment 1 Marie Loise Nolden 2016-07-08 10:50:52 UTC
Created attachment 172235 [details]
qbs-1.5.2 svn diff against HEAD

Add fix for FreeBSD 9 and 11 for the order of includes. Patch is also upstreamed as https://codereview.qt-project.org/#/c/164701/
Comment 2 commit-hook freebsd_committer 2016-07-10 16:55:12 UTC
A commit references this bug:

Author: rakuco
Date: Sun Jul 10 16:54:33 UTC 2016
New revision: 418331
URL: https://svnweb.freebsd.org/changeset/ports/418331

Log:
  Update to 1.5.2.

  PR:		210899
  Submitted by:	Ralf Nolden <nolden@kde.org>

Changes:
  head/devel/qbs/Makefile
  head/devel/qbs/distinfo
  head/devel/qbs/files/
  head/devel/qbs/files/patch-src_lib_corelib_tools_processutils.cpp
  head/devel/qbs/pkg-plist
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-07-10 17:07:51 UTC
Committed, thanks.